WiPay
WAPIsv2.0.2User

Update Bank Account

Update fields on a configured Bank Account. At least one field must be provided. User must be verified.

PATCH
/user/banks/{type}
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

Path Parameters

typestring
Value in"local" | "foreign"
bank_name?string

Must be a valid Bank name from configuration.

bank_account?string

Bank Account number (digits only).

Match^[0-9]+$
name_in_bank?string
Lengthlength <= 255
bank_account_type?string

Required for Jamaica only.

Value in"chequing" | "savings"
bank_branch?string

Required for Jamaica only.

Lengthlength <= 255
bank_address?string
Lengthlength <= 255
beneficiary_account_number?string
Lengthlength <= 255
beneficiary_address?string
Lengthlength <= 255
beneficiary_bank_swift_or_routing_code?string
Lengthlength <= 255
beneficiary_bank?string
Lengthlength <= 255
beneficiary_name?string
Lengthlength <= 255
intermediary_bank_address?string
Lengthlength <= 255
intermediary_bank_routing_number_or_aba?string
Lengthlength <= 255
intermediary_bank_swift_code?string
Lengthlength <= 255
intermediary_bank?string
Lengthlength <= 255

Response Body

curl -X PATCH "https://tt.wipayfinancial.com/wapi/user/banks/local" \  -H "Content-Type: application/json" \  -d '{}'
{
  "message": "OK"
}
{
  "message": "string"
}
{
  "message": "string"
}